pn_cbuf_t Struct Reference
The Connection Engine

A read-only memory buffer. More...

`#include <connection_engine.h>`

## Data Fields

const char * | data
| Beginning of the buffered data. More...
size_t | size
| Number of bytes in the buffer. More...

## Detailed Description

A read-only memory buffer.

## Field Documentation

## data

const char* pn_cbuf_t::data

Beginning of the buffered data.

## size

size_t pn_cbuf_t::size

Number of bytes in the buffer.

The documentation for this struct was generated from the following file:

- /build/qpid-proton-4llz2H/qpid-proton-0.14.0/proton-c/include/proton/connection_engine.h